      IMPLICIT INTEGER*4(I-N),REAL*8(A-H,O-Z)
      INTEGER*4 I,IP,NREF,M,J,N,L
      REAL*4 T1,DELTA
      REAL*4 SECNDS
      COMMON A(2500),OV(1000)
      DATA N,NREF,IPR/64,1000,0/
      T1=SECNDS(0.0)
      DO 10 I=1,2500
   10 A(I)=0.0
      M=N+1
      MN=M+1
      DO 6001 IP=1,NREF
      DO 20 I=1,M
   20 OV(I)=I*IP*0.9
      K=1
      DO 5001 J=1,N
      B=OV(J)
      IF(B.NE.0.0) GO TO 5002
      K=K+MN-J
      GO TO 5001
 5002 DO 5003 L=J,M
      A(K)=A(K)+OV(L)*B
 5003 K=K+1
 5001 CONTINUE
 6001 CONTINUE
      K=K-1
      DELTA=SECNDS(T1)
      WRITE(6,2) DELTA
    2 FORMAT(' ELAPSED TIME IS ',F8.3,' SECONDS')
      STOP
      END
NREF,IPR/64,1000,0/
      T1=SECNDS(0.0)
      DO 10 I=1,2500
   10 A(I)=0.0
      M=N+1
      MN=M+1
      DO 6001 IP=1,NREF
      DO 20 I=1,M
   20 OV(I)=I*IP*0.9
      K=1
      DO 5001 J=1,N
      B=OV(J)
      IF(B.NE.0.0) GO TO 5002
      K=K+MN-J
      GO TO 5001
 5002 DO 5003 L=J,M
      A(K)=A(K)+OV(L)*B
 5003 K=K+